curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Activity\", \"vid\": \"acdfea708121e95199e0e8e786e4b28d7bdad2d4\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Test note added\" } }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Fetch a Specific Activity Record
Retrieve a specific activity record.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities/{ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Activity\", \"vid\": \"acdfea708121e95199e0e8e786e4b28d7bdad2d4\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Test note added\" } }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The vid of the Activity record to retrieve A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Response
JSON A full Activity object.
Value is “Activity”
Required. The customer account id or vid for which you are recording this activity.
Show child attributes
Show child attributes
Required. A time stamp that specifies the date and time of when the event you are recording took place.
A Globally Unique Identifier (GUID) for this object. Assigned by CashBox.
128The subscription id or vid for which you are recording this activity.
Show child attributes
Show child attributes
The transaction id or vid for which you are recording this activity.
Show child attributes
Show child attributes
The invoice id or vid for which you are recording this activity.
Show child attributes
Show child attributes
Can be Cancellation, Email, Fulfillment, Login, Logout, NamedValue, Note, Phone, URIView, Usage
Cancellation, Email, Fulfillment, Login, Logout, NamedValue, Note, Phone, URIView, Usage The IP address from which a login originated.
Show child attributes
Show child attributes
The IP address from which a logout originated.
Show child attributes
Show child attributes
A customer’s visit to a Web page, and possible download activity.
Show child attributes
Show child attributes
A phone contact that relates to the Activity object.
Show child attributes
Show child attributes
An email event.
Show child attributes
Show child attributes
The status of your fulfillment of a customer order.
Show child attributes
Show child attributes
The amount of use of a resource (such as the number of downloads) you provide to the customer.
Show child attributes
Show child attributes
An activity defined by you. With this data structure, you create Activity objects that are unique to your business, and that are not described by the predefined Activity events in Activity Types. Creating such an activity implies that it will likely occur regularly with your customers.
Show child attributes
Show child attributes
The customer’s cancellation of a service or product.
Show child attributes
Show child attributes
An optional memo on the Activity object.
Show child attributes
Show child attributes

